# $Revision: 1.36 $, $Date: 2004/08/30 20:01:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	MetaText
Summary:	Text::MetaText - meta-language for processing "template" text files
Summary(pl):	Text::MetaText - metajzyk do przetwarzania szablonw tekstowych
Name:		perl-Text-MetaText
Version:	0.22
Release:	13
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4a2b5d120459dcb678cac876c99fa805
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-File-Recurse
BuildRequires:	perl-TimeDate
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MetaText is a text processing and markup meta-language which can
be used for processing "template" files. This module is a Perl 5
extension implementing a MetaText object class which processes
text files, interpreting and acting on the embedded MetaText
directives within.

Like a glorified pre-processor, MetaText can: include files,
define and substitute variable values, execute conditional
actions based on variables, call other Perl functions or object
methods and capture the resulting output back into the document,
and more. It can format the resulting output of any of these
operations in a number of ways. The objects, and inherently, the
format and symantics of the MetaText langauge itself, are highly
configurable.

%description -l pl
MetaText to metajzyk do przetwarzania tekstu i oznacze, ktry mona
uywa do przetwarzania plikw "szablonw". Ten modu jest
rozszerzeniem Perla 5 implementujcym klas obiektu MetaText
przetwarzajcego pliki tekstowe, interpretujcego i dziaajcego na
osadzonych w nich dyrektywach MetaTextu.

Podobnie jak kady zachwalany preprocesor MetaText moe: docza
pliki, definiowa i podstawia wartoci zmiennych, wykonywa akcje
warunkowe w oparciu o zmienne, wywoywa inne funkcje Perla lub
metody obiektw i przechwytywa ich wyniki z powrotem do dokumentu
i wiele innych. Wyjcie dowolnej z operacji moe by formatowane na
wiele sposobw. Obiekty i zwizany z nimi format oraz semantyka
samego jzyka MetaText s wysoce konfigurowalne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv t/exec.t{,.whythiscrapfails}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README Todo Features
%attr(755,root,root) %{_bindir}/metapage
%{perl_vendorlib}/Text/MetaText.pm
%{perl_vendorlib}/Text/MetaText
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-MetaText.spec,v $
Revision 1.36  2004/08/30 20:01:28  qboosh
- release 13 (wrrr)

Revision 1.35  2004/08/30 20:01:04  qboosh
- pl desc

Revision 1.34  2004/08/30 17:52:49  radek
- release 12: informative summary / description, turned off t/exec.t

Revision 1.33  2004/05/07 01:01:03  ankry
- rel. 11

Revision 1.32  2004/05/06 18:21:17  ankry
- fixed perl-devel BR

Revision 1.31  2004/05/03 01:33:49  ankry
- tests added, license fixes, cosmetics

Revision 1.30  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.29  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:38:52  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/15 23:21:08  ankry
- missing dots

Revision 1.20  2002/07/15 21:53:21  ankry
- typos

Revision 1.19  2002/07/15 21:28:10  ankry
- translations
- fixed BR
- new %%doc
- release 9

Revision 1.18  2002/07/10 09:01:50  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:08  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:35:51  depesz
adapterized

Revision 1.12  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:16:48  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 21:01:16  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:47  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
